using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.DataAnnotations;
using Microsoft.AspNetCore.Mvc.Filters;

namespace LuskiServer.Classes.ActionFilters;

[AttributeUsage(AttributeTargets.Method)]
public class TokenFilterAttribute : Attribute, IActionFilter
{
    public void OnActionExecuting(ActionExecutingContext context)
    {
        //token check here
        Console.WriteLine("Token Check");
    }
    
    public void OnActionExecuted(ActionExecutedContext context)
    {
        
    }

    private string name;
    public double verstion;

    public TokenFilterAttribute()
    {
        name = "token";
        verstion = 1.0;
    }
}