using ServerDatabase;
using ServerDatabase.SourceGenerator;

namespace LuskiServer.Classes.TableDef;

public static class AltServers
{
    public static TableColumn<string> Address { get; } = new("address", true);
    public static TableColumn<bool> Secure { get; }= new("secure");
    public static TableColumn<byte[]> Key { get; } = new("key");
}

[TableRow(typeof(AltServers))]
public partial class AltServerRow
{}