using JacobTechEncryption.Enums;
using ServerDatabase;
using ServerDatabase.SourceGenerator;

namespace LuskiServer.Classes.TableDef;

public static class Keys
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<long> Owner { get; } = new("owner");
    public static TableColumn<EncryptionType> EncryptionType { get; } = new("encryption_type");
    public static TableColumn<byte[]> KeyData { get; } = new("key_data");
}

[TableRow(typeof(Keys))]
public partial class KeyRow
{
}