using Luski.Shared.PublicServers.V1.Enums;
using LuskiServer.Enums;
using ServerDatabase;
using ServerDatabase.SourceGenerator;

namespace LuskiServer.Classes.TableDef;

public static class UserRoleOverrides
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<long> UserID { get; } = new("user_id");
    public static TableColumn<ServerPermission> BadPermissions { get; } = new("bad_permissions");
    public static TableColumn<ServerPermission> GoodPermissions { get; } = new("good_permissions");
}

[TableRow(typeof(UserRoleOverrides))]
public partial class UserRoleOverrideRow;