using System.Diagnostics.CodeAnalysis;

namespace LuskiServer.Classes;

[AttributeUsage(AttributeTargets.Field)]
public class PluginWarningAttribute : Attribute
{
    public PluginWarningAttribute([DisallowNull]string Message)
    {
        _mess = Message;
    }

    private string _mess;

    public string Message
    {
        get
        {
            return _mess;
        }
        set
        {
            _mess = value;
        }
    }
}