using LuskiServer.Enums;
using ServerDatabase;
using ServerDatabase.SourceGenerator;

namespace LuskiServer.Classes.TableDef;

public static class Logs
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<LogType> Type { get; } = new("type");
    public static TableColumn<string> Message { get; } = new("message");
}

[TableRow(typeof(Logs))]
public partial class LogRow
{}