using ServerDatabase;
using ServerDatabase.SourceGenerator;

namespace LuskiServer.Classes.TableDef;

public static class SessionTokens
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<long> AccountID { get; } = new("account_id");
    public static TableColumn<string> Token { get; } = new("token");
    public static TableColumn<byte[]> AddressFilter { get; } = new("address_filter");
    public static TableColumn<DateTime> TimeFilter { get; } = new("date_filter");
}

[TableRow(typeof(SessionTokens))]
public partial class SessionTokenRow
{}