using System.Text.Json.Serialization;

namespace LuskiServer.Converters.Matrix.Types;

public class MessageContext
{
    [JsonInclude]
    [JsonPropertyName("body")]
    public string Body { get; set; } = default!;
    
    [JsonInclude]
    [JsonPropertyName("formatted_body")]
    public string? FormattedBody { get; set; } = default!;
    [JsonInclude]
    [JsonPropertyName("msgtype")]
    public string Type { get; set; } = default!;
    [JsonInclude]
    [JsonPropertyName("m.mentions")]
    public Metions? Mentions { get; set; } = default!;
    [JsonInclude]
    [JsonPropertyName("m.relates_to")]
    public ReplyRelation? Relations { get; set; } = default!;
}