using System.ComponentModel;
using LuskiServer.Classes;

namespace LuskiServer.Enums;

[Flags]
public enum PluginPerms : long
{
    CustomeServerRoleSet = 0b_0000_0001,
    AddCommands          = 0b_0000_0010,
    [PluginWarning("This permission is considered dangerous. The plugin will have private keys to some channels.")]
    ReadMessages         = 0b_0000_0100,
    SendMessages         = 0b_0000_1000,
    FalseUser            = 0b_0001_0000
}