using LuskiServer.Enums;

namespace LuskiServer.Interfaces;

public interface IPlugin
{
    public string Name { get; }
    public string Version { get; }
    public string Author { get; }
    public string Description { get; }

    public PluginPerms GetRequiredPerms();
    public PluginPerms GetOptionalPerms();
    public void Start(PluginPerms perms);
    public void Stop(); 
}